import QtQuick 1.1

Loader {
    id: root
    property bool isSetupWizard: false

    onIsSetupWizardChanged: {
        if (root.item && root.item.hasOwnProperty("isSetupWizard")) {
            root.item.isSetupWizard = isSetupWizard
        }
    }

    source: {
        if (tv.tunerType === "DCI") {
            return "DiagnosticsTVSetupSerial.qml"
        } else if (options.iptvEnabled) {
            return "DiagnosticsIPTV.qml"
        } else {
            "DiagnosticsTVSetup.qml"
        }
    }
    anchors.fill: parent
}
